Bug 1125033 - Review Request: openstack-manila - OpenStack Shared Filesystem Service
Summary: Review Request: openstack-manila - OpenStack Shared Filesystem Service
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 22:51 UTC by Pete Zaitcev
Modified: 2014-09-25 05:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-25 05:44:30 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pete Zaitcev 2014-07-30 22:51:42 UTC
Spec URL: http://people.redhat.com/zaitcev/ftp/manila/openstack-manila.spec-2013.2-0.8
SRPM URL: http://people.redhat.com/zaitcev/ftp/manila/openstack-manila-2013.2-0.8.fc20.src.rpm
Description:
OpenStack Shared Filesystem Service (code-name Manila) provides services
to manage network filesystems for use by Virtual Machine instances.

Fedora Account System Username: zaitcev

Comment 2 Haïkel Guémar 2014-09-01 12:57:00 UTC
Few remarks:
* provided spec should not be suffixed, it doesn't play well with semi-automated reviewing tool :)
* changelog entries are not properly formatted, <version>-<revision> should be appended at the first line of the related entry.
* jquery has been granted a temporary bundling exception but the bundled version should be cleaned up from windows EOL characters.
* systemd units should installed using macroized scriptlets for F18+ and EL7
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Macroized_scriptlets_.28Fedora_18.2B.29
* about the sudoers configuration, I understand your POV, but I assume that some sysadmins may want to override either the user or add other commands.

Comment 4 Haïkel Guémar 2014-09-17 18:26:03 UTC
My apologies, functional testing took me a bit of time but it's working :)

Since this package complies with Fedora packaging guidelines, I hereby approve it into Fedora Packages Collection.
Please submit a SCM request.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Apache (v2.0) MIT/X11 (BSD like)", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 12 files have unknown
     license. Detailed output of licensecheck in /home/haikel/1125033
     -openstack-manila-2014.2-0.2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/logrotate.d
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     manila , openstack-manila-share
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openstack-manila-2014.2-0.2.fc22.noarch.rpm
          python-manila-2014.2-0.2.fc22.noarch.rpm
          openstack-manila-share-2014.2-0.2.fc22.noarch.rpm
          openstack-manila-doc-2014.2-0.2.fc22.noarch.rpm
          openstack-manila-2014.2-0.2.fc22.src.rpm
openstack-manila.noarch: W: spelling-error %description -l en_US filesystems -> file systems, file-systems, ecosystems
openstack-manila.noarch: W: non-standard-uid /var/lib/manila manila
openstack-manila.noarch: W: non-standard-gid /var/lib/manila manila
openstack-manila.noarch: W: non-standard-uid /var/lib/manila/tmp manila
openstack-manila.noarch: W: non-standard-gid /var/lib/manila/tmp manila
openstack-manila.noarch: W: no-manual-page-for-binary manila-scheduler
openstack-manila.noarch: W: no-manual-page-for-binary manila-api
python-manila.noarch: E: explicit-lib-dependency python-amqplib
python-manila.noarch: W: spelling-error %description -l en_US filesystems -> file systems, file-systems, ecosystems
python-manila.noarch: W: non-standard-gid /usr/share/manila/manila-dist.conf manila
python-manila.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-manila
python-manila.noarch: W: non-standard-uid /var/run/manila manila
python-manila.noarch: W: non-standard-gid /etc/manila/policy.json manila
python-manila.noarch: E: non-readable /etc/manila/policy.json 0640L
python-manila.noarch: W: non-standard-gid /etc/manila/rootwrap.conf manila
python-manila.noarch: E: non-readable /etc/manila/rootwrap.conf 0640L
python-manila.noarch: W: non-standard-gid /etc/manila/api-paste.ini manila
python-manila.noarch: E: non-readable /etc/manila/api-paste.ini 0640L
python-manila.noarch: E: non-readable /etc/sudoers.d/manila 0440L
python-manila.noarch: W: non-standard-uid /var/log/manila manila
python-manila.noarch: E: non-standard-dir-perm /var/log/manila 0750L
python-manila.noarch: W: non-standard-gid /etc/manila/manila.conf manila
python-manila.noarch: E: non-readable /etc/manila/manila.conf 0640L
python-manila.noarch: W: no-manual-page-for-binary manila-all
python-manila.noarch: W: no-manual-page-for-binary manila-manage
python-manila.noarch: W: no-manual-page-for-binary manila-rootwrap
openstack-manila-share.noarch: W: spelling-error %description -l en_US filesystems -> file systems, file-systems, ecosystems
openstack-manila-share.noarch: W: no-documentation
openstack-manila-share.noarch: W: no-manual-page-for-binary manila-share
openstack-manila-doc.noarch: W: spelling-error %description -l en_US filesystems -> file systems, file-systems, ecosystems
openstack-manila-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/openstack-manila-doc/html/_static/jquery.js
openstack-manila.src: W: spelling-error %description -l en_US filesystems -> file systems, file-systems, ecosystems
openstack-manila.src:13: W: macro-in-comment %{version}
openstack-manila.src:161: W: macro-in-comment %{version}
openstack-manila.src:218: W: macro-in-comment %{buildroot}
openstack-manila.src:218: W: macro-in-comment %{_sysconfdir}
openstack-manila.src:242: W: macro-in-comment %{buildroot}
openstack-manila.src:242: W: macro-in-comment %{_bindir}
openstack-manila.src:243: W: macro-in-comment %{buildroot}
openstack-manila.src:243: W: macro-in-comment %{python_sitelib}
openstack-manila.src:244: W: macro-in-comment %{buildroot}
openstack-manila.src:244: W: macro-in-comment %{python_sitelib}
openstack-manila.src:245: W: macro-in-comment %{buildroot}
openstack-manila.src: W: invalid-url Source0: manila-2014.2.dev32.g5d54abf.tar.gz
5 packages and 0 specfiles checked; 8 errors, 36 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openstack-manila-share openstack-manila-doc openstack-manila python-manila
openstack-manila-share.noarch: W: spelling-error %description -l en_US filesystems -> file systems, file-systems, ecosystems
openstack-manila-share.noarch: W: no-documentation
openstack-manila-share.noarch: W: no-manual-page-for-binary manila-share
openstack-manila-doc.noarch: W: spelling-error %description -l en_US filesystems -> file systems, file-systems, ecosystems
openstack-manila-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/openstack-manila-doc/html/_static/jquery.js
openstack-manila.noarch: W: spelling-error %description -l en_US filesystems -> file systems, file-systems, ecosystems
openstack-manila.noarch: W: non-standard-uid /var/lib/manila manila
openstack-manila.noarch: W: non-standard-gid /var/lib/manila manila
openstack-manila.noarch: W: non-standard-uid /var/lib/manila/tmp manila
openstack-manila.noarch: W: non-standard-gid /var/lib/manila/tmp manila
openstack-manila.noarch: W: no-manual-page-for-binary manila-scheduler
openstack-manila.noarch: W: no-manual-page-for-binary manila-api
python-manila.noarch: E: explicit-lib-dependency python-amqplib
python-manila.noarch: W: spelling-error %description -l en_US filesystems -> file systems, file-systems, ecosystems
python-manila.noarch: W: non-standard-gid /usr/share/manila/manila-dist.conf manila
python-manila.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-manila
python-manila.noarch: W: non-standard-uid /var/run/manila manila
python-manila.noarch: E: dir-or-file-in-var-run /var/run/manila
python-manila.noarch: W: non-standard-gid /etc/manila/policy.json manila
python-manila.noarch: E: non-readable /etc/manila/policy.json 0640L
python-manila.noarch: W: non-standard-gid /etc/manila/rootwrap.conf manila
python-manila.noarch: E: non-readable /etc/manila/rootwrap.conf 0640L
python-manila.noarch: W: non-standard-gid /etc/manila/api-paste.ini manila
python-manila.noarch: E: non-readable /etc/manila/api-paste.ini 0640L
python-manila.noarch: E: non-readable /etc/sudoers.d/manila 0440L
python-manila.noarch: W: non-standard-uid /var/log/manila manila
python-manila.noarch: E: non-standard-dir-perm /var/log/manila 0750L
python-manila.noarch: W: non-standard-gid /etc/manila/manila.conf manila
python-manila.noarch: E: non-readable /etc/manila/manila.conf 0640L
python-manila.noarch: W: no-manual-page-for-binary manila-all
python-manila.noarch: W: no-manual-page-for-binary manila-manage
python-manila.noarch: W: no-manual-page-for-binary manila-rootwrap
4 packages and 0 specfiles checked; 9 errors, 23 warnings.
# echo 'rpmlint-done:'



Requires
--------
openstack-manila-share (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    lvm2
    python-manila
    samba
    shadow-utils
    systemd-units

openstack-manila-doc (rpmlib, GLIBC filtered):
    openstack-manila

openstack-manila (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    openstack-utils
    python-manila
    python-posix_ipc
    shadow-utils
    systemd

python-manila (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    MySQL-python
    config(python-manila)
    python(abi)
    python-amqplib
    python-anyjson
    python-babel
    python-cheetah
    python-eventlet
    python-greenlet
    python-iso8601
    python-keystoneclient
    python-kombu
    python-lockfile
    python-lxml
    python-migrate
    python-netaddr
    python-neutronclient
    python-novaclient
    python-oslo-config
    python-oslo-db
    python-oslo-messaging
    python-oslo-rootwrap
    python-oslo-utils
    python-paramiko
    python-paste-deploy
    python-pbr
    python-qpid
    python-routes
    python-six
    python-sqlalchemy
    python-suds
    python-webob
    sudo



Provides
--------
openstack-manila-share:
    openstack-manila-share

openstack-manila-doc:
    openstack-manila-doc

openstack-manila:
    openstack-manila

python-manila:
    config(python-manila)
    python-manila

Comment 5 Pete Zaitcev 2014-09-23 22:09:09 UTC
New Package SCM Request
=======================
Package Name: openstack-manila
Short Description: OpenStack Manila share services
Upstream URL: http://github.com/stackforge/manila
Owners: zaitcev apevec
Branches: f21
InitialCC:

Comment 6 Gwyn Ciesla 2014-09-24 10:09:40 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.